import request from "@/utils/request";

// 查询网络舆情列表
export function listSentiment(query) {
  return request({
    url: "/zongzhi/sentiment/list",
    method: "get",
    params: query,
  });
}

// 查询网络舆情详细
export function getSentiment(id) {
  return request({
    url: "/zongzhi/sentiment/" + id,
    method: "get",
  });
}

// 新增网络舆情
export function addSentiment(data) {
  return request({
    url: "/zongzhi/sentiment",
    method: "post",
    data: data,
  });
}

// 修改网络舆情
export function updateSentiment(data) {
  return request({
    url: "/zongzhi/sentiment",
    method: "put",
    data: data,
  });
}

// 删除网络舆情
export function delSentiment(id) {
  return request({
    url: "/zongzhi/sentiment/" + id,
    method: "delete",
  });
}

// 导出网络舆情
export function exportSentiment(data) {
  return request({
    url: "/zongzhi/sentiment/export",
    method: "post",
    data,
  });
}
